Author Topic: mce_usb2 ir blaster broke  (Read 1731 times)

pointman87

  • Veteran
  • ***
  • Posts: 108
    • View Profile
mce_usb2 ir blaster broke
« on: June 07, 2012, 05:13:03 pm »
On 17/5-12 i did apt-get update && apt-get upgrade, after that my mce_usb2 ir blaster stopped working. Do anyone know what happened around that time, or do anyone know where to start dig?

BR Daniel

seth

  • Guru
  • ****
  • Posts: 485
  • A day w/o LinuxMCE is like a day w/o sunshine!
    • View Profile
Re: mce_usb2 ir blaster broke
« Reply #1 on: June 07, 2012, 05:59:22 pm »
 ???

What version of LMCE are you running?

Just a question, as I was not aware that the blasters ever worked.

Confused. As usual.  :D

Best Regards,

Seth
".....Because Once you've LinuxMCE'd....."
System stats located at my user page:

http://wiki.linuxmce.org/index.php/User:Seth

pointman87

  • Veteran
  • ***
  • Posts: 108
    • View Profile
Re: mce_usb2 ir blaster broke
« Reply #2 on: June 08, 2012, 12:11:11 am »
Ha, my bad, I'm running 10.04. The blaster have worked both under 8.10 and 10.04, witch is great as the cost about a tenth of a usbuirt.

FYI i did an upgrade on my whole system today (12060626053) and still no blaster

DragonK

  • Guru
  • ****
  • Posts: 429
    • View Profile
Re: mce_usb2 ir blaster broke
« Reply #3 on: June 08, 2012, 08:22:53 am »
I think we ALL are interested in how you got it working in the first place?????

Karel

bushtech

  • Veteran
  • ***
  • Posts: 96
    • View Profile
Re: mce_usb2 ir blaster broke
« Reply #4 on: June 08, 2012, 09:02:18 am »
Must have Scottish blood in me. Became extremely interested when I saw this:"as the cost about a tenth of a usbuirt"  ;D

So please tell
Core:Asus P8H77-V, Intel core i3-3240 LGA155, Inno 3D Nvidia 240 GT (DVI+VGA+HDMI), 4Gb ram, 125Gb SSD
MD: Zotax Zbox ID41

jamo

  • Guru
  • ****
  • Posts: 457
    • View Profile
    • LMCE user Page
Re: mce_usb2 ir blaster broke
« Reply #5 on: June 08, 2012, 09:50:50 am »
Me too. Please share... was about to re-mortgage the house for a usb-uirt.

seth

  • Guru
  • ****
  • Posts: 485
  • A day w/o LinuxMCE is like a day w/o sunshine!
    • View Profile
Re: mce_usb2 ir blaster broke
« Reply #6 on: June 08, 2012, 02:27:11 pm »
 ;D
Yes this really interests me. I would need to buy 3 USB-UIRT, or use the existing IR Blasters on my MCE remotes, which I boought 4 for the price of one USB-UIRT.

Very interested!!

Best Regards,

Seth
".....Because Once you've LinuxMCE'd....."
System stats located at my user page:

http://wiki.linuxmce.org/index.php/User:Seth

pointman87

  • Veteran
  • ***
  • Posts: 108
    • View Profile
Re: mce_usb2 ir blaster broke
« Reply #7 on: June 08, 2012, 03:15:44 pm »
Well... For about 2 year ago i plugged it in my bedroom MD and it have worked since ;)
I will take a photo of it and post here, that way you (Seth) can compare it to yours to see if they are similar. BUT... It doesn't work yet, it makes me so angry. Anyone know if lira updated recently? I think the problem is in lira, not in LMCE.

BR Daniel

totallymaxed

  • LinuxMCE God
  • ****
  • Posts: 4351
    • View Profile
    • Dianemo - at home with technology
Re: mce_usb2 ir blaster broke
« Reply #8 on: June 08, 2012, 03:44:48 pm »
Well... For about 2 year ago i plugged it in my bedroom MD and it have worked since ;)
I will take a photo of it and post here, that way you (Seth) can compare it to yours to see if they are similar. BUT... It doesn't work yet, it makes me so angry. Anyone know if lira updated recently? I think the problem is in lira, not in LMCE.

BR Daniel

Not all MCE USB Transceivers are the same. Some will work some will not dependent on chipsets/ID's etc. However if it worked before then it's either 'died' (possible but reasonably unlikely in my experience), the usb port has failed (also possible)... try the following;

Code: [Select]
lsusb <return>

and you should see a something like this;

Code: [Select]
Bus 003 Device 002: ID 1784:0001 TopSeed Technology Corp. eHome Infrared Transceiver

The following wiki article may be of help in figuring out why you mce usb transceiver is not working... or in making one that doesn't work currently work; http://wiki.linuxmce.org/index.php/Adding_a_New_MCE_Compatible_Transceiver

All the best

Andrew
Andy Herron,
Convergent Home Technologies Ltd
United Kingdom
@herron

Dianemo S Now Shipping on Ubuntu 12.04LTS
Build your system on the latest Ubuntu LTS OS Release!

Get a Dianemo S License: http://forum.linuxmce.org/index.php?topic=8880.0
iOS Orbiter: http://wiki.linuxmce.org/index.php/Dianemo_iOS_Orbiter
Follow us on Facebook: https://www.facebook.com/pages/Dianemo-Home-Automation/226019387454465

Sales & Info:
http://www.dianemo.co.uk

pointman87

  • Veteran
  • ***
  • Posts: 108
    • View Profile
Re: mce_usb2 ir blaster broke
« Reply #9 on: June 09, 2012, 09:37:36 am »
The problem is solved! At the same time as i upgraded my MD i added the yaVDR repo to pull the latest vdr and plugins, in the process lirc got upgraded from the yaVDR repo. I think that was the problem. I rebuild the MD and upgraded it to the latest packages without yaVDR repo, and now it works again :D

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2847
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: mce_usb2 ir blaster broke
« Reply #10 on: June 09, 2012, 11:13:57 am »
People who have a problem with lirc due to the yavdr repo, might want to create/edit the /etc/apt/preferences file to contain the following lines:
Code: [Select]
Package: liblircclient0
Pin: version 0.8.6-0*
Pin-Priority: 1000

From that point forward, the liblircclient library will be the correct one. I will see that I can get the correct -dev package into our repo, to work with the yavdr liblircclient as well.

pointman87

  • Veteran
  • ***
  • Posts: 108
    • View Profile
Re: mce_usb2 ir blaster broke
« Reply #11 on: June 09, 2012, 03:56:48 pm »
People who have a problem with lirc due to the yavdr repo, might want to create/edit the /etc/apt/preferences file to contain the following lines:
Code: [Select]
Package: liblircclient0
Pin: version 0.8.6-0*
Pin-Priority: 1000

From that point forward, the liblircclient library will be the correct one. I will see that I can get the correct -dev package into our repo, to work with the yavdr liblircclient as well.

Thank you Posde, i use yaVDR for vdr-1.7.22 and the newer that Linuxmce-repo StreamdevClient, since it seems to work better on my install. I had frame drops on my MDs with the older version. Maybe the Linuxmce-repo could upgrade vdr and its plugins to?

BR Daniel

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5476
  • DOES work for LinuxMCE.
    • View Profile
Re: mce_usb2 ir blaster broke
« Reply #12 on: July 08, 2012, 06:50:11 am »
Can we have a resolution on this so we can close this ticket?

-Thom